Start a new topic

iOS 10 App Store release with Wikitude Titanium module.

Hello there,


I followed the instructions on https://components.xamarin.com/gettingstarted/com.wikitude.xamarin.component on how to start the sample using the wikitude xamarin component. I cloned the sample repository (https://github.com/wikitude/wikitude-xamarin) and pasted in my free trial license key. When running the iOS application, before the camera loads I get the alert: "This device is not capable of running ARchitect Worlds ....".


I am using an iPhone 7 Plus with iOS 10.1.1.

I have the newest Xamarin version installed. 


Any input on this?


Hello Muhamed,


Apologies for the confusion but we have added a note on the realm section saying that the component is now available on Xamarin Component Store ONLY!


Nevertheless, we will also update it on our website as well.


Thanks

Eva

Hello,


I have noticed that the github example project for xamarin (https://github.com/wikitude/wikitude-xamarinis quite outdated. It uses an older version of the Xamarin Component. There are some methods which are completely different (naming) in the newest version. As soon as I replaced the Component with the newest version, updated the function calls, the app worked fine. Could you please update the github example project?


Thanks

Muhamed

Hello,


Please make sure again that you are following the exact steps described here. In addition, you can use the isDeviceSupportedForRequiredFeatures:error: method to determine if the current device is capable of running Architect Worlds with certain feature requirements. See the class reference of WTArchitectView for more information.


Thanks

Eva

Login or Signup to post a comment